petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateSeqUSFFT

Creates a matrix object that provides sequential USFFT via the external package FFTW

### Synopsis

    #include "petscmat.h"
    #include "petscdmda.h"
    PetscErrorCode  MatCreateSeqUSFFT(Vec sampleCoords, DMDA freqDA, Mat *A)

Collective on MPI_Comm Many br

### Input Parameter

| da | - geometry of the domain encoded by a DMDA Many br

### Output Parameter

| A | - the matrix Many br

### Options Database Keys

| -mat_usfft_plannerflags | - set the FFTW planner flags Many br

Many br

Level:intermediate
Location:src/dm/impls/da/usfft/matusfft.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages